Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.aprs
Class DXRecord

    java.lang.Object
      org.ka2ddo.yaac.aprs.DXRecord

All Implemented Interfaces:
  java.io.Serializable

    public class DXRecord

extends java.lang.Object
implements java.io.Serializable

This class represents one record of a DX report gated to APRS from a DXcluster.

See Also:
  Serialized Form

Field Summary
`int` | `bearing` The bearing from the DX reporting station in degrees from True North.
`float` | `distance` Distance from DX reporting station in the specified units.
`DistanceUnit` | `distanceUnit` The units of distance used by the distance value.\
`boolean` | `isPlayback` Record came from a logfile playback, not from a real-time connection.
`double` | `latitude` Latitude of DX reporting station.
`double` | `longitude` Longitude of DX reporting station.
`java.lang.String` | `reportingStation` Callsign of station reporting DX.
`long` | `timestamp` Date/time of DX event in Java milliseconds since midnight Jan 1, 1970 UTC.

Constructor Summary
`DXRecord(java.lang.String callsign)` Create a DXRecord for the specified reporting station.

Method Summary
`boolean` | `isFilledIn()` Report if the DXRecord is completely filled in.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    public long timestamp

  Date/time of DX event in Java milliseconds since midnight Jan 1, 1970 UTC.

### reportingStation

    public java.lang.String reportingStation

  Callsign of station reporting DX.

### distance

    public float distance

  Distance from DX reporting station in the specified units.

  See Also:
    `distanceUnit`

### distanceUnit

    public DistanceUnit distanceUnit

  The units of distance used by the distance value.\

  See Also:
    `distance`

### bearing

    public int bearing

  The bearing from the DX reporting station in degrees from True North.

### latitude

    public double latitude

  Latitude of DX reporting station.

### longitude

    public double longitude

  Longitude of DX reporting station.

### isPlayback

    public boolean isPlayback

  Record came from a logfile playback, not from a real-time connection.

Constructor Detail

### DXRecord

    public DXRecord(java.lang.String callsign)

  Create a DXRecord for the specified reporting station.

  Parameters:
    `callsign` - String of reporting station's callsign

Method Detail

### isFilledIn

    public boolean isFilledIn()

  Report if the DXRecord is completely filled in.

  Returns:
    boolean true if all fields of record are filled in

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD